This is an abstract class all SAX handler classes must extend

author | Andreas Aderhold
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id$
package | phing.parser

### Methods

## Invoked by occurance of #PCDATA.

    characters(string $data)

exception | ExpatParserException if there is no CDATA but method was called
access | public

### Parameters

#### $data

`string`

the name of the XML element

## Gets invoked when a XML element ends.

    endElement(string $name)

Can be overloaded by the child class. But should not. It hands over control to the parentHandler of this.

### Parameters

#### $name

`string`

the name of the XML element

## Gets invoked when a XML open tag occurs

    startElement(string $name, array $attribs)

Must be overloaded by the child class. Throws an ExpatParseException if there is no handler registered for an element.

### Parameters

#### $name

`string`

the name of the XML element

#### $attribs

`array`

the attributes of the XML element

## Constructs a SAX handler parser.

    __construct(object $parser, object $parentHandler)

The constructor must be called by all derived classes.

### Parameters

#### $parser

`object`

the parser object

#### $parentHandler

`object`

the parent handler of this handler

## Gets invoked when element closes method.

    finished()

### Properties

##

    $parentHandler

##

    $parser